List YouTube channel community posts

List the community posts on a YouTube channel's Posts tab, newest first.

GET/v1/youtube/channels/community-posts
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
3
channelIdstringquery

YouTube channel id whose posts should be listed.

min 1 chars · max 4096 chars

handlestringquery

YouTube channel handle whose posts should be listed, with or without a leading @.

cursorstringquery

Opaque pagination cursor returned by a previous response.

min 1 chars

Response fields
37

Endpoint-specific response payload.

datalookupStatus
string

Whether the channel was found. `found` may still have no posts.

one of: found, not_found

The channel, from its posts; null when it has none.

datachannelplatform
string

Social platform for this channel.

one of: youtube

datachannelplatformUserId
stringnullable

YouTube channel id when available.

datachannelhandle
stringnullable

YouTube channel handle without a leading @ when available.

datachanneldisplayName
stringnullable

Public display name for the channel when available.

datachannelprofileUrl
stringnullable

Canonical public YouTube channel URL when available.

Posts on this page, newest first.

dataposts[]id
string

YouTube community post identifier.

min 1 chars

dataposts[]url
string

Canonical public YouTube community post URL.

min 1 chars

dataposts[]text
stringnullable

Post text content when available.

dataposts[]publishedAt
stringnullable

Publish timestamp when available.

dataposts[]publishedTimeText
stringnullable

Human-readable relative publish time when available.

Images and any linked video attached to the post.

Image URLs attached to the community post.

dataposts[]mediaimageUrls[]
stringoptional

min 1 chars

Linked video when the post promotes or embeds one.

dataposts[]medialinkedVideoid
string

YouTube video identifier.

min 1 chars

dataposts[]medialinkedVideourl
string

Canonical public YouTube watch URL.

min 1 chars

dataposts[]medialinkedVideotitle
stringnullable

Video title when available.

dataposts[]medialinkedVideothumbnailUrl
stringnullable

Thumbnail image URL when available.

dataposts[]medialinkedVideopublishedAt
stringnullable

Publish timestamp when available.

dataposts[]medialinkedVideopublishedTimeText
stringnullable

Human-readable relative publish time when available.

dataposts[]medialinkedVideoviewCount
integernullable

View count when available.

≥ 0

dataposts[]medialinkedVideoviewCountText
stringnullable

Human-readable view count when available.

dataposts[]medialinkedVideodurationSeconds
integernullable

Duration of the video in seconds when available.

≥ 0

dataposts[]medialinkedVideodurationText
stringnullable

Human-readable duration label when available.

Engagement metrics for the post.

dataposts[]metricslikes
integernullable

Like count when available.

≥ 0

Pagination information for the current response.

datapagenextCursor
stringnullable

Cursor to pass in the next request when another page exists.

datapagehasMore
boolean

Whether another page of posts is available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/youtube/channels/community-posts?handle=charlidamelio" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Community posts from the channel.